import { OnInit, ChangeDetectorRef, EventEmitter, ElementRef, QueryList } from "@angular/core";
import { MatDialog } from "@angular/material/dialog";
import { MatDatepickerInputEvent } from "@angular/material/datepicker";
import { ActivatedRoute, Router } from "@angular/router";
import { DashboardService } from "./dashboard.service";
import { ApiList } from "./api";
import { DashboardPorletsService } from "./dashboardPorlets.service";
import { DashboardLayoutComponent } from "@syncfusion/ej2-angular-layouts";
import { GadgetTableComponent } from "./gadget-group/gadget-table/gadget-table.component";
import { GadgetPivotComponent } from "./gadget-group/gadget-pivot/gadget-pivot.component";
import { GadgetPivotChartComponent } from "./gadget-group/gadget-pivot-chart/gadget-pivot.component";
import { GadgetTransposeComponent } from "./gadget-group/gadget-transpose/gadget-transpose.component";
import { HttpClient } from "@angular/common/http";
import { BarChartsComponent } from "./bar-charts/bar-charts.component";
import { DatePipe } from "@angular/common";
import { DialogService } from "../service/dialog.service";
export declare class PaneGroupNewComponent implements OnInit {
    dialog: MatDialog;
    private dialogService;
    dashboardService: DashboardService;
    private api;
    private activatedRoute;
    DashboardPorletsService: DashboardPorletsService;
    private ref;
    private router;
    private httpClient;
    private datePipe;
    private pbf;
    private http;
    rs: any;
    dateChange: EventEmitter<MatDatepickerInputEvent<any>>;
    appCode: string;
    sidebar: any;
    unclick: QueryList<ElementRef>;
    unclickGrand: QueryList<ElementRef>;
    newChart: QueryList<BarChartsComponent>;
    portlet: any;
    tabactive: boolean;
    dashboard: any;
    selectedY: any[];
    selectedSecondY: any[];
    selectedX: any[];
    selectedMultiples: any;
    selectTheme: any;
    hasInit: boolean;
    activeTabId: any;
    hasChangeDataTable: boolean;
    activeTabLabel: string;
    stayActiveTab: boolean;
    bodyClick(e: any): void;
    translation: any;
    private lang;
    push_btn: boolean;
    dashboardLayout: DashboardLayoutComponent;
    canvas: ElementRef;
    private config;
    draggableHandle: string;
    private subscriptions;
    url: any;
    url_id: any;
    url_type: any;
    datePipeFormat: any;
    haveFullScreen: any[];
    cellSpacing: number[];
    cellAspectRatio: any;
    resizableHandles: any;
    newPosition: any[];
    mediaQuery: any;
    figureCode: any;
    customized: boolean;
    chartTypeList: string[];
    table: QueryList<GadgetTableComponent>;
    pivot: QueryList<GadgetPivotComponent | GadgetPivotChartComponent>;
    transpose: QueryList<GadgetTransposeComponent>;
    pivotTableSubTotalList: Array<any>;
    pivotTableGrandTotalList: Array<any>;
    tableGrandTotalList: Array<any>;
    themeData: any;
    startEdit: boolean;
    showSubTotalGroup: boolean;
    showgrandTotalGroup: boolean;
    showTableGrandTotalGroup: boolean;
    Current_PortletId: any;
    restoreModel: any;
    themeObj: {};
    enableMultipleAxis: boolean;
    showLegend: boolean;
    timer: any;
    tabList: any;
    activeTab: number;
    prevId: any;
    dashboard_sidebar: boolean;
    ActiveDashboardPortlets: any[];
    portlets: any[];
    hasResize: boolean;
    panesList: ElementRef;
    constructor(dialog: MatDialog, dialogService: DialogService, dashboardService: DashboardService, api: ApiList, activatedRoute: ActivatedRoute, DashboardPorletsService: DashboardPorletsService, ref: ChangeDetectorRef, router: Router, httpClient: HttpClient, datePipe: DatePipe, pbf: any, http: any, rs: any);
    ngOnInit(): void;
    private getAllFields;
    onCloseRight(e: any): void;
    setActiveDashboardPortlets(noDetect?: boolean): void;
    onActiveTab(tab: any, index: any): void;
    onDeleteTab(item: any): void;
    onAddTab(): void;
    setTabInput(e: any): void;
    saveTabInput(item: any): void;
    onStartEdit(id: any): void;
    private initTabList;
    initlayout(shouldGetFields?: boolean, noDetect?: boolean): Promise<void>;
    ngAfterViewInit(): void;
    private filterData;
    chartUpdate(id?: string): void;
    ngOnDestroy(): void;
    private getInfo;
    getPorletConfig(portlet: any): void;
    updateTheme(e: any): void;
    updateDashboard(e: any): void;
    updatePorletConfig(e: any): void;
    edit(item: any): void;
    GetgadgetTitle(config: any): any;
    getPortletType(item: any): any;
    delete(item: any): void;
    copyPortlet(item: any): void;
    getAsofdate(item: any): any;
    getCurrency(config: any): any;
    getFigurecode(figureCode: any): 1 | 0 | 2 | 3 | 4;
    getTableName(item: any): boolean;
    pushSlider(): void;
    private getFigureCode;
    x: any;
    y: any;
    getDashboard(): void;
    routerPage(): void;
    displayIconPrompt(item: any): boolean;
    configurations(item: any, event: any): Promise<void>;
    private setPrevId;
    drop(e: any): void;
    closeAll(): boolean;
    downloadAll(): void;
    download(item: any): void;
    getChartIndexInAll(item: any): number;
    downloadTable(item: any, title: any): void;
    private updateFormat;
    fieldFormat(item: any): void;
    openFilter(item: any): void;
    updatePushBtn(e: boolean): void;
    toggleCustomize(customized: any): void;
    toggleSidebar(bool: any): void;
    onToggleTabactive(bool: any): void;
    updatePorlet(portlet: any): void;
    addPorlet(): void;
    closeSidebar(e: any): void;
    resizeStop(args: any): void;
    dragStop(e: any): void;
    getNewPosition(): void;
    openSubtotal(item: any): void;
    openGrandtotal(item: any): void;
    selectTotalGroup(index: any, type: any, item: any): void;
    getSelectTotalGroupStatus(type?: any): void;
    initCharData(noDetect?: boolean): void;
    compareDates(a: any, b: any): 1 | -1 | 0;
    truncateText(text: any, maxWidth?: number, fontSize?: number): any;
    getPaddingBottom(): string;
    updateDashboardLastUpdateDate(): void;
    savedashboard(shouldUpdate?: string): void;
}
